--
-- $Id$
--
-- Verwijderen referentie kenmerk met ongeldige waarde 'X'
-- Nog onverklaard hoe het is ontstaan

DEFINE thisfile = 'YKPN#53546.sql'
DEFINE dbuser   = '^YKPN'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Maak niet bestaande districten aan.
INSERT INTO alg_district (alg_district_omschrijving, alg_regio_key)
    SELECT DISTINCT alg_district_omschrijving, 21
      FROM fac_imp_onrgoed1 i
     WHERE NOT EXISTS
               (SELECT alg_district_key
                  FROM alg_district d
                 WHERE UPPER (d.alg_district_omschrijving) =
                       UPPER (i.alg_district_omschrijving));

-- Koppel de locatie aan het juiste district. Dit moet voor de update gedaan worden
-- anders maak het systeem nieuwe locaties en gebouwen aan.
UPDATE alg_locatie l
   SET alg_district_key =
           (SELECT alg_district_key
              FROM alg_district d, fac_imp_onrgoed1 i
             WHERE     l.alg_locatie_code = i.alg_locatie_code
                   AND i.alg_district_omschrijving =
                       d.alg_district_omschrijving)
 WHERE l.alg_locatie_code IN (SELECT alg_locatie_code FROM fac_imp_onrgoed1);

-- Pas de omschrijving van de winkel aan
UPDATE fac_imp_onrgoed1
   SET alg_locatie_omschrijving = alg_locatie_omschrijving || ' ' || lower(substr(alg_kenmerkwaarde3,3));

-- Voeg de formule toe aan de winkelnaam
UPDATE fac_imp_onrgoed1
   SET alg_locatie_omschrijving =
              alg_locatie_omschrijving
           || ' '
           || LOWER (SUBSTR (alg_kenmerkwaarde4, 3))
 WHERE LENGTH (alg_kenmerkwaarde4) > 2;

-- update locatie met aangepaste naam
--UPDATE alg_locatie l
--   SET l.alg_locatie_omschrijving =
--           (SELECT i.alg_locatie_omschrijving
--              FROM fac_imp_onrgoed1 i
--             WHERE i.alg_locatie_code = l.alg_locatie_code)
-- WHERE EXISTS
--           (SELECT alg_locatie_code
--              FROM fac_imp_onrgoed1 i2
--             WHERE i2.alg_locatie_code = l.alg_locatie_code);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile


